# This shell script is run before Openbox launches.
# Environment variables set here are passed to the Openbox session.

export OOO_FORCE_DESKTOP="gnome"
export WINDOW_MANAGER="/usr/bin/openbox"
export DESKTOP_SESSION="gnome"
export GNOME_DESKTOP_SESSION_ID="openbox"
export DE="openbox"

# D-bus
if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
       eval `dbus-launch --sh-syntax --exit-with-session`
fi

# set bg color
# this appears momentarily before .config/pcmanfm/default/desktop-items-0.conf
# takes over - s
xsetroot -solid "#003810"

# turns NumLock on
# numlockx on

# eyes candy (composite)
# myxcompmgr --startstop &

# Launch PCMan File Manager in desktop mode, to manage desktop icons and wallpaper
pcmanfm --desktop &

# network (gnome-network-manger)
nm-applet &

# power-manager
#gnome-power-manager &

# lxpanel (panel/systray)
(sleep 1 && lxpanel --profile default)&

#turn off screen blanking
#from the openbox guide - https://urukrama.wordpress.com/openbox-guide/#Configuring
#Make sure that you have a & after each entry, or any program after it will not run!
xset -dpms &
xset s off &
xset s noblank &

